---
apiVersion: cilium.io/v2
kind: CiliumClusterwideNetworkPolicy
metadata:
  name: allow-coroot-scraping
spec:
  description: Allow coroot-cluster-agent to scrape workloads in labeled namespaces

  endpointSelector:
    matchLabels:
      k8s:io.cilium.k8s.namespace.labels.security.wunderba.eu/scraping: "enabled"

  ingress:
  - fromEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: monitoring-platform
        app.kubernetes.io/component: coroot-cluster-agent
        app.kubernetes.io/part-of: coroot

---
apiVersion: cilium.io/v2
kind: CiliumClusterwideNetworkPolicy
metadata:
  name: allow-coroot-metrics-server-scraping
spec:
  description: Allow coroot metrics-server in kube-system

  endpointSelector:
    matchLabels:
      io.kubernetes.pod.namespace: kube-system
      k8s-app: metrics-server

  ingress:
  - fromEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: monitoring-platform
        app.kubernetes.io/name: coroot-cluster-agent

---
apiVersion: cilium.io/v2
kind: CiliumClusterwideNetworkPolicy
metadata:
  name: allow-coroot-kube-dns-scraping
spec:
  description: Allow coroot to scrape kube-dns in kube-system

  endpointSelector:
    matchLabels:
      io.kubernetes.pod.namespace: kube-system
      k8s-app: kube-dns

  ingress:
  - fromEndpoints:
    - matchLabels:
        io.kubernetes.pod.namespace: monitoring-platform
        app.kubernetes.io/component: coroot-cluster-agent
        app.kubernetes.io/part-of: coroot
